%define package thunderbird-config
%define version 0.8
%define release 1

Name:           wpkg-%{package}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        %{package} for WPKG on iPasserelle

Group:          System/Softwares
URL:            http://www.ipasserelle.com
Source0:        %{name}-%{version}.tar.gz
License:        misc

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  unix2dos
BuildRequires:  e-smith-devtools

Requires:       ipasserelle-gp
Requires:	wpkg-thunderbird

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/thunderbird
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
/etc/

%changelog
* Fri May 13 2016 Daniel Berteaud <daniel@firewall-services.com> 0.8-1
- Add support for distbundles back

* Thu Dec 12 2013 Daniel Berteaud <daniel@firewall-services.com> 0.7-1
- Fix path for custom-strings.txt

* Thu Dec 12 2013 Daniel Berteaud <daniel@firewall-services.com> 0.6-1
- Also check for config files, not just the registry

* Wed Dec 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.5-1
- Add custom-strings.txt to customize text added after a FileLink

* Fri Sep 21 2012 Daniel Berteaud <daniel@firewall-services.com> 0.4-1
- Add downgrade commands

* Thu Sep 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.3-1
- use https to retrive conf

* Tue Aug 21 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2-1
- Add check before and after installation

* Mon Jun 25 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Initial release

